## cilium-cli 0.18.6

=== vendor/github.com/cilium/stream/Makefile ===
.PHONY: all build test test-race bench

all: build test test-race bench

build:
	go build ./...

test:
	go test ./... -cover

test-race:
	go test -race ./...

bench:
	go test ./... -bench . -test.run xxx

## cilium-cli 0.15.6

=== debian/changelog ===
cilium-cli (0.15.6-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:34:05 +0200

cilium-cli (0.15.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.6

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Aug 2023 17:55:39 +0200

cilium-cli (0.15.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.5

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Aug 2023 14:38:24 +0200

cilium-cli (0.15.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 14:57:22 +0200

cilium-cli (0.15.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 16:40:39 +0200

cilium-cli (0.15.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 29 Jun 2023 10:42:37 +0200

cilium-cli (0.14.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.14.8

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 11:47:50 +0200

cilium-cli (0.14.7-0kali1) kali-dev; urgency=medium

  * Add debian/source/include-binaries
  * New upstream version 0.14.7
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Jun 2023 10:52:35 +0200

cilium-cli (0.13.2-0kali2) kali-dev; urgency=medium

  * Add superficial test

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Apr 2023 16:34:02 +0200

cilium-cli (0.13.2-0kali1) kali-dev; urgency=medium

  * Initial release
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Apr 2023 17:50:29 +0200

=== debian/control ===
Source: cilium-cli
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
	           ca-certificates,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/cilium/cilium-cli
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cilium/cilium-cli

Package: cilium-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Cilium CLI (program)
 This package contains a CLI to install, manage & troubleshoot Kubernetes
 clusters running Cilium.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	rm -rf _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	mkdir -p _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	cp -r connectivity/manifests/* _build/src/github.com/cilium/cilium-cli/connectivity/manifests
	rm -rf _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	mkdir -p _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	cp connectivity/check/assets/cacert.pem _build/src/github.com/cilium/cilium-cli/connectivity/check/assets
	cp defaults/imagedigests.json _build/src/github.com/cilium/cilium-cli/defaults
	cp sysdump/eventSummary.html _build/src/github.com/cilium/cilium-cli/sysdump
	cp vendor/github.com/cilium/charts/*.tgz _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/charts
	cp -r vendor/k8s.io/kubectl/pkg/util/i18n/translations _build/src/github.com/cilium/cilium-cli/vendor/k8s.io/kubectl/pkg/util/i18n

override_dh_auto_install:
	dh_auto_install -- --no-source
	rm $(CURDIR)/debian/cilium-cli/usr/bin/add-image-digests

override_dh_dwz:

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/containerd 
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/docker/cli
	cp vendor/github.com/docker/cli/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/docker/cli
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/docker/docker
	cp vendor/github.com/docker/docker/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/docker/docker

## cilium-cli 0.18.5

=== debian/changelog ===
cilium-cli (0.18.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.5

 -- Sophie Brun <sophie@kali.org>  Thu, 03 Jul 2025 14:53:33 +0200

cilium-cli (0.18.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.4
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Jun 2025 13:56:53 +0200

cilium-cli (0.18.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.3
  * Refresh patches
  * Update debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Apr 2025 15:39:52 +0200

cilium-cli (0.18.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.2
  * Update installation for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Apr 2025 11:02:20 +0200

cilium-cli (0.16.24-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.24
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 Jan 2025 15:45:08 +0100

cilium-cli (0.16.23-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.23
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 11:55:54 +0100

cilium-cli (0.16.22-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.22

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 15:59:46 +0100

cilium-cli (0.16.21-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.21
  * Fix debian/rules for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Dec 2024 14:16:18 +0100

cilium-cli (0.16.19-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.19

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Oct 2024 16:28:40 +0200

cilium-cli (0.16.17-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.17

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Sep 2024 16:40:48 +0200

cilium-cli (0.16.16-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.16
  * Refresh patches
  * Update debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Aug 2024 16:56:51 +0200

cilium-cli (0.16.13-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.13

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Jul 2024 13:47:07 +0200

cilium-cli (0.16.11-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.11

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Jul 2024 17:23:33 +0200

cilium-cli (0.16.10-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.10

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 14:43:39 +0200

cilium-cli (0.16.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.8

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 May 2024 09:29:14 +0200

cilium-cli (0.16.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.3
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Mar 2024 10:30:44 +0100

cilium-cli (0.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.16.0
  * Adapt debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Mar 2024 15:17:46 +0100

cilium-cli (0.15.22-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.22

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Feb 2024 14:20:07 +0100

cilium-cli (0.15.20-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.20

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 11:38:44 +0100

cilium-cli (0.15.19-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.19

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Dec 2023 15:28:47 +0100

cilium-cli (0.15.17-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.17

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Dec 2023 16:07:32 +0100

cilium-cli (0.15.14-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.14

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Nov 2023 10:08:15 +0100

cilium-cli (0.15.13-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.13

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 10:38:58 +0100

cilium-cli (0.15.11-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.11

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Oct 2023 10:25:54 +0200

cilium-cli (0.15.10-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.10

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Oct 2023 15:16:29 +0200

cilium-cli (0.15.9-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.9

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Oct 2023 15:48:40 +0200

cilium-cli (0.15.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.8

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Sep 2023 15:58:38 +0200

## cilium-cli 0.18.6

=== debian/changelog ===
cilium-cli (0.18.6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.6

 -- Sophie Brun <sophie@kali.org>  Wed, 06 Aug 2025 17:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: cilium-cli
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-	           ca-certificates,
+	       ca-certificates,
                golang-any,
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/cilium-cli
+Vcs-Git: https://gitlab.com/kalilinux/packages/cilium-cli.git
 Homepage: https://github.com/cilium/cilium-cli
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/cilium-cli

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	cp vendor/github.com/cilium/charts/*.tgz _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/charts
	cp -r vendor/k8s.io/kubectl/pkg/util/i18n/translations _build/src/github.com/cilium/cilium-cli/vendor/k8s.io/kubectl/pkg/util/i18n
	cp vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb _build/src/github.com/cilium/cilium-cli/vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
	cp -r vendor/github.com/go-openapi/spec/schemas _build/src/github.com/cilium/cilium-cli/vendor/github.com/go-openapi/spec/
	cp vendor/github.com/cilium/cilium/cilium-cli/sysdump/eventSummary.html _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/sysdump/
	rm -rf _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests
	mkdir -p _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests/ _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
	cp -r vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_dwz:

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/cilium-cli/usr/share/doc/cilium-cli/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/cilium-cli/usr/share/doc/cilium-cli/containerd

=== debian/tests/control ===
Test-Command: cilium help
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/cilium/cilium-cli/tags .*/v?(\d\S*)\.tar\.gz debian

## cilium-cli 0.19.1

=== Makefile ===
# Copyright Authors of Cilium
# SPDX-License-Identifier: Apache-2.0

GO := go
GO_BUILD = CGO_ENABLED=0 $(GO) build
GO_TAGS ?=
TARGET=cilium
INSTALL = $(QUIET)install
BINDIR ?= /usr/local/bin
CLI_VERSION=$(shell git describe --tags --always)
STRIP_DEBUG=-w -s
ifdef DEBUG
	STRIP_DEBUG=
endif
GO_BUILD_LDFLAGS ?= $(STRIP_DEBUG) \
		    -X 'github.com/cilium/cilium/cilium-cli/defaults.CLIVersion=$(CLI_VERSION)'

TEST_TIMEOUT ?= 5s
RELEASE_UID ?= $(shell id -u)
RELEASE_GID ?= $(shell id -g)

# renovate: datasource=docker depName=golang
GO_IMAGE_VERSION = 1.25.5-alpine3.21
GO_IMAGE_SHA = sha256:b4dbd292a0852331c89dfd64e84d16811f3e3aae4c73c13d026c4d200715aff6

# renovate: datasource=docker depName=golangci/golangci-lint
GOLANGCILINT_WANT_VERSION = v2.9.0
GOLANGCILINT_IMAGE_SHA = sha256:dbe337da33f7d649126107cd2cf0375e932c156c1e20e32a2d5205a79ba8c7a8
GOLANGCILINT_VERSION = $(shell golangci-lint version --format short 2>/dev/null)

$(TARGET):
	$(GO_BUILD) $(if $(GO_TAGS),-tags $(GO_TAGS)) \
		-ldflags "$(GO_BUILD_LDFLAGS)" \
		-o $(TARGET) \
		./cmd/cilium

release:
	docker run \
		--rm \
		--workdir /cilium \
		--volume `pwd`:/cilium docker.io/library/golang:$(GO_IMAGE_VERSION)@$(GO_IMAGE_SHA) \
		sh -c "apk add --no-cache curl setpriv make git zip && \
			/usr/bin/setpriv --reuid=$(RELEASE_UID) --regid=$(RELEASE_GID) --clear-groups make GOCACHE=/tmp/gocache local-release"

local-release: clean
	set -o errexit; \
	for OS in darwin linux windows; do \
		EXT=; \
		ARCHS=; \
		case $$OS in \
			darwin) \
				ARCHS='amd64 arm64'; \
				;; \
			linux) \
				ARCHS='amd64 arm64'; \
				;; \
			windows) \
				ARCHS='amd64 arm64'; \
				EXT=".exe"; \
				;; \
		esac; \
		for ARCH in $$ARCHS; do \
			echo Building release binary for $$OS/$$ARCH...; \
			test -d release/$$OS/$$ARCH|| mkdir -p release/$$OS/$$ARCH; \
			env GOOS=$$OS GOARCH=$$ARCH $(GO_BUILD) $(if $(GO_TAGS),-tags $(GO_TAGS)) \
				-ldflags "$(GO_BUILD_LDFLAGS)" \
				-o release/$$OS/$$ARCH/$(TARGET)$$EXT ./cmd/cilium; \
			if [ $$OS = "windows" ]; \
			then \
				zip -j release/$(TARGET)-$$OS-$$ARCH.zip release/$$OS/$$ARCH/$(TARGET)$$EXT; \
				(cd release && sha256sum $(TARGET)-$$OS-$$ARCH.zip > $(TARGET)-$$OS-$$ARCH.zip.sha256sum); \
			else \
				tar -czf release/$(TARGET)-$$OS-$$ARCH.tar.gz -C release/$$OS/$$ARCH $(TARGET)$$EXT; \
				(cd release && sha256sum $(TARGET)-$$OS-$$ARCH.tar.gz > $(TARGET)-$$OS-$$ARCH.tar.gz.sha256sum); \
			fi; \
		done; \
		rm -rf release/$$OS; \
	done; \

install: $(TARGET)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 $(TARGET) $(DESTDIR)$(BINDIR)

clean:
	rm -f $(TARGET)
	rm -rf ./release

test:
	$(GO) test -timeout=$(TEST_TIMEOUT) -race -cover $$($(GO) list ./...)

bench:
	$(GO) test -timeout=30s -bench=. $$($(GO) list ./...)

clean-tags:
	@-rm -f cscope.out cscope.in.out cscope.po.out cscope.files tags

tags: $$($(GO) list ./...)
	@ctags $<
	cscope -R -b -q

ifneq (,$(findstring $(GOLANGCILINT_WANT_VERSION:v%=%),$(GOLANGCILINT_VERSION)))
check:
	golangci-lint run
else
check:
	docker run --rm -v `pwd`:/app -w /app docker.io/golangci/golangci-lint:$(GOLANGCILINT_WANT_VERSION) golangci-lint run
endif

.PHONY: $(TARGET) release local-release install clean test bench check clean-tags tags

-include Makefile.override

=== vendor/github.com/cilium/ebpf/Makefile ===
# The development version of clang is distributed as the 'clang' binary,
# while stable/released versions have a version number attached.
# Pin the default clang to a stable version.
CLANG ?= clang-20
STRIP ?= llvm-strip-20
OBJCOPY ?= llvm-objcopy-20
CFLAGS := -O2 -g -Wall -Werror -mcpu=v2 $(CFLAGS)

CI_KERNEL_URL ?= https://github.com/cilium/ci-kernels/raw/master/

# Obtain an absolute path to the directory of the Makefile.
# Assume the Makefile is in the root of the repository.
REPODIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

# Prefer podman if installed, otherwise use docker.
# Note: Setting the var at runtime will always override.
CONTAINER_ENGINE ?= $(if $(shell command -v podman),podman,docker)

# Configure container runtime arguments based on the container engine.
CONTAINER_RUN_ARGS := \
	--env MAKEFLAGS \
	--env BPF2GO_CC="$(CLANG)" \
	--env BPF2GO_CFLAGS="$(CFLAGS)" \
	--env HOME=/tmp \
	-v "${REPODIR}":/ebpf -w /ebpf \
	-v "$(shell go env GOCACHE)":/tmp/.cache/go-build \
	-v "$(shell go env GOPATH)":/go \
	-v "$(shell go env GOMODCACHE)":/go/pkg/mod

ifeq ($(CONTAINER_ENGINE), podman)
CONTAINER_RUN_ARGS += --log-driver=none --security-opt label=disable
else
CONTAINER_RUN_ARGS += --user "$(shell stat -c '%u:%g' ${REPODIR})"
endif

IMAGE := $(shell cat ${REPODIR}/testdata/docker/IMAGE)
VERSION := $(shell cat ${REPODIR}/testdata/docker/VERSION)

TARGETS := \
	testdata/loader-clang-14 \
	testdata/loader-clang-17 \
	testdata/loader-$(CLANG) \
	testdata/manyprogs \
	testdata/btf_map_init \
	testdata/invalid_map \
	testdata/raw_tracepoint \
	testdata/invalid_map_static \
	testdata/invalid_btf_map_init \
	testdata/strings \
	testdata/freplace \
	testdata/fentry_fexit \
	testdata/iproute2_map_compat \
	testdata/map_spin_lock \
	testdata/subprog_reloc \
	testdata/fwd_decl \
	testdata/kconfig \
	testdata/ksym \
	testdata/kfunc \
	testdata/invalid-kfunc \
	testdata/kfunc-kmod \
	testdata/constants \
	testdata/errors \
	testdata/variables \
	testdata/arena \
	testdata/struct_ops \
	btf/testdata/relocs \
	btf/testdata/relocs_read \
	btf/testdata/relocs_read_tgt \
	btf/testdata/relocs_enum \
	btf/testdata/tags \
	cmd/bpf2go/testdata/minimal

.PHONY: all clean container-all container-shell generate

.DEFAULT_TARGET = container-all

# Build all ELF binaries using a containerized LLVM toolchain.
container-all:
	+${CONTAINER_ENGINE} run --rm -ti ${CONTAINER_RUN_ARGS} \
		"${IMAGE}:${VERSION}" \
		$(MAKE) all

# (debug) Drop the user into a shell inside the container as root.
# Set BPF2GO_ envs to make 'make generate' just work.
container-shell:
	${CONTAINER_ENGINE} run --rm -ti ${CONTAINER_RUN_ARGS} \
		"${IMAGE}:${VERSION}"

clean:
	find "$(CURDIR)" -name "*.elf" -delete
	find "$(CURDIR)" -name "*.o" -delete

format:
	find . -type f -name "*.c" | xargs clang-format -i

all: format $(addsuffix -el.elf,$(TARGETS)) $(addsuffix -eb.elf,$(TARGETS)) update-external-deps
	ln -srf testdata/loader-$(CLANG)-el.elf testdata/loader-el.elf
	ln -srf testdata/loader-$(CLANG)-eb.elf testdata/loader-eb.elf
	$(MAKE) generate

generate:
	go generate -run "stringer" ./...
	go generate -run "gentypes" ./...
	go generate -skip "(gentypes|stringer)" ./...

testdata/loader-%-el.elf: testdata/loader.c
	$* $(CFLAGS) -target bpfel -c $< -o $@
	$(STRIP) -g $@

testdata/loader-%-eb.elf: testdata/loader.c
	$* $(CFLAGS) -target bpfeb -c $< -o $@
	$(STRIP) -g $@

%-el.elf: %.c
	$(CLANG) $(CFLAGS) -target bpfel -c $< -o $@
	$(STRIP) -g $@

%-eb.elf : %.c
	$(CLANG) $(CFLAGS) -target bpfeb -c $< -o $@
	$(STRIP) -g $@

.PHONY: update-external-deps
update-external-deps:
	./scripts/update-kernel-deps.sh
	./scripts/update-efw-deps.sh

=== vendor/github.com/cilium/statedb/Makefile ===
.PHONY: all build test test-race bench

all: build test test-race bench

build:
	go build ./...

test:
	STATEDB_VALIDATE=1 go test ./... -cover -vet=all -test.count 1

test-race:
	go test -race ./... -test.count 1

bench:
	go test ./... -bench . -benchmem -test.run xxx
	go run ./reconciler/benchmark -quiet

bench-reconciler:
	go run ./reconciler/benchmark

=== debian/changelog ===
cilium-cli (0.19.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.19.1
  * Use golang 1.25
  * Fix debian/rules for new upstream release

 -- Sophie Brun <sophie@kali.org>  Thu, 19 Feb 2026 16:12:25 +0100

cilium-cli (0.18.9-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.9

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Dec 2025 14:01:32 +0100

cilium-cli (0.18.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.8
  * Refresh patches
  * Use Go version 24

 -- Sophie Brun <sophie@kali.org>  Mon, 10 Nov 2025 15:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
 	       ca-certificates,
-               golang-any,
+#               golang-any,
+	       golang-1.25,
+	       golang-1.25-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://gitlab.com/kalilinux/packages/cilium-cli
 Vcs-Git: https://gitlab.com/kalilinux/packages/cilium-cli.git
 Homepage: https://github.com/cilium/cilium-cli
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cilium/cilium-cli
 
 Package: cilium-cli

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export GOCACHE=$(CURDIR)/_build
 export GOPATH=$(CURDIR)/_build
 export GOPROXY=off
+export PATH := /usr/lib/go-1.25/bin:$(PATH)
 
 
 %:
@@ -19,6 +20,9 @@
 	mkdir -p _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
 	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/manifests/ _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/builder/
 	cp -r vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/pkg/metrics/dump.html.tmpl
+	cp -r vendor/github.com/santhosh-tekuri/jsonschema/v6/metaschemas _build/src/github.com/cilium/cilium-cli/vendor/github.com/santhosh-tekuri/jsonschema/v6/
+	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/check/assets _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/check
+	cp -r vendor/github.com/cilium/cilium/cilium-cli/connectivity/check/manifests _build/src/github.com/cilium/cilium-cli/vendor/github.com/cilium/cilium/cilium-cli/connectivity/check
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
